Debian Bug report logs - #354571
RM: gngeo -- RoAM; license problems

Packages: ftp.debian.org, gngeo; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>; Maintainer for gngeo is (unknown);

Reported by: Marc Brockschmidt <marc@dch-faq.de>

Date: Mon, 27 Feb 2006 13:03:26 UTC

Severity: serious

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien Delange <julien@gunnm.org>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#354571; Package gngeo,ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Marc Brockschmidt <marc@dch-faq.de>:
New Bug report received and forwarded. Copy sent to Julien Delange <julien@gunnm.org>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Brockschmidt <marc@dch-faq.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: gngeo -- RoAM; license problems
Date: Mon, 27 Feb 2006 13:58:23 +0100
Package: gngeo,ftp.debian.org
Severity: serious
Justification: Policy 2.2

Package is non-free, not fit for contrib:

* src/unzip.{c,h} has different copyright owners and licenses
* src/neocrypt.c is taken from MAME. And thus ... non-free. Yay!
* src/effect/2xsaimmx.asm: "Non-Commercial use of this software is allowed"
* src/cyclone/Cyclone.h: "Cyclone 68000 is free for non-commercial use."
* src/mamez80/z80.c: "This source code is released as freeware for non-commercial purposes."

As the maintainer didn't react on my package check, I'm filing this bug
to avoid legal problems. Until debian/copyright is fixed, this package
should be kept out of Debian non-free, too.

Marc



Tags added: pending Request was from Julien Danjou <acid@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Julien Danjou <acid@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Joerg Jaspert <joerg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Brockschmidt <marc@dch-faq.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 354571-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 354571-close@bugs.debian.org
Cc: gngeo@packages.debian.org, gngeo@packages.qa.debian.org
Subject: Bug#354571: fixed
Date: Sat, 03 Jun 2006 09:34:37 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     gngeo |    0.6.7-1 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354571@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 16:31:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:00:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.